<template>
  <q-page>
    <div class="inner-page">
      <div class="no-print">
        <h2>Print a Terminal</h2>

        <p>To get started, click the Print button below to print your Terminal QR Code and the corresponding Payment QR Code.</p>
        <p>After you have printed the terminal, scan the "Scan for Terminal!" QR Code on your phone to configure it for the first time.</p>
        <p>After configuring, when the Terminal QR Code is scanned, it will take the cashier/staff directly to the Point-of-Sale page.</p>

        <p class="text-italic">NOTE: A new Terminal is generated every time you refresh this page.</p>

        <div class="text-center">
          <q-btn label="Open Print Dialog" color="primary" @click="print()" />
        </div>

        <hr class="q-mb-lg q-mt-lg" />
      </div>

      <div style="overflow-x: auto">
        <QRCodesComponent />
      </div>
    </div>
  </q-page>
</template>

<script setup lang="ts">
import QRCodesComponent from '../components/QRCodesComponent.vue'

function print () {
  window.print()
}
</script>
